package com.ether;

import org.jetbrains.annotations.NotNull;


public class ParamDescription
{
    ParamDescription( @NotNull final String name, @NotNull final Class<?> type, final boolean mandatory, final boolean usingJSON )
    {
        _usingJSON = usingJSON;
        _name = name;
        _type = type;
        _mandatory = mandatory;
    }

    @NotNull
    public String getName()
    {
        return _name;
    }

    public void setName( @NotNull final String name )
    {
        _name = name;
    }

    @NotNull
    public Class<?> getType()
    {
        return _type;
    }

    public void setType( @NotNull final Class<?> type )
    {
        _type = type;
    }

    public boolean isMandatory()
    {
        return _mandatory;
    }

    public void setMandatory( final boolean mandatory )
    {
        _mandatory = mandatory;
    }

    public boolean isUsingJSON()
    {
        return _usingJSON;
    }

    public void setUsingJSON( final boolean usingJSON )
    {
        _usingJSON = usingJSON;
    }

    public boolean isPrimitive()
    {
        return _type.isPrimitive();
    }

    @NotNull
    private String _name;
    @NotNull
    private Class<?> _type;
    private boolean _mandatory;
    private boolean _usingJSON;
}