package com.ether;

/**
 * @author vmipsl
 * @date 02 feb 2011
 */
@SuppressWarnings("serial")
public class WebException
        extends FormattedException
{
    public WebException(final Enum<? extends Code> code) {
    	super(code);
	}

	public WebException(final Throwable cause) {
		super(cause);
	}

	public WebException( final Enum<? extends Code> code, final String string) {
		super(code, string);
	}

    public WebException( final Enum<? extends Code> code, final Throwable cause, final Object... parameters )
    {
        this( code, cause.getMessage(), cause, parameters );
    }

    protected WebException( final Enum<? extends Code> code, final String message, final Throwable cause, final Object... parameters )
    {
        super( prefix( code, message ), cause, parameters );
    }

    public static enum WebCode
            implements Code
    {
        UNKNOWN,
        PERSISTENCE,
        SERVICE_PROBLEM,
        IO_EXCEPTION_ERROR_TO_GET_OUTPUTSTREAM,
        ERROR_UNSUPPORTED_UTF8_ENCODING,
        ERROR_NO_REQUEST_HANDLING_METHOD,
        ERROR_NUMBER_OF_PARAM_TYPES_NOT_EQUAL_TO_PARAM_ANNOTATIONS,
    }
}
